// This module deals with converting the notification object into rson format, which can be used instead of json if preferred
use crate::notification::Notification;
use rson_rs::ser::to_string as rson_string;
use rson_rs::de::Error as RsonError;

impl Notification {
    pub fn rson(&self) -> Result<String, RsonError> {
        rson_string(self).map_err(|e| RsonError::Message(format!("RSON serialization error: {}", e)))
    }
}
